https://pulumi.com logo
Title
b

bland-byte-34481

02/05/2021, 12:38 AM
hello - when running
pulumi preview
in our Github action we're seeing the following error:
pulumi:providers:aws default_3_26_1  error: no resource plugin 'aws-v3.26.1' found in the workspace or on your $PATH, install the plugin using `pulumi plugin install resource aws v3.26.1`
the stack otherwise runs when using the cli locally
b

billowy-army-68599

02/05/2021, 12:41 AM
the error describes the issue, your pulumi plugin isn't installed locally. Usually it should be installed when you install the SDK (eg
npm install
) but it might not be working this time. Can you add a step that does
pulumi plugin install resource aws v3.26.1
to your pipeline?
b

bland-byte-34481

02/05/2021, 12:42 AM
we can... out of curiosity we did not see this issue until today (and we haven't changed anything)
I think you know why, but this would imply we would have to update many pipelines when this issue randomly occurs?
b

billowy-army-68599

02/05/2021, 1:12 AM
that is a little curious, could you open an issue in pulumi/pulumi for this, i want to keep track of how often plugin acquisition doens't work
also, which language SDK are you using?
b

bland-byte-34481

02/05/2021, 1:15 AM
i'll open an issue - i'm using Typescript with the following deps:
"@pulumi/aws": "^3.25.1",
"@pulumi/awsx": "^0.24.0",
"@pulumi/okta": "^2.7.1",
"@pulumi/postgresql": "^2.5.2",        "@pulumi/pulumi": "^2.17.2",
"@pulumi/random": "^3.0.0",
"@pulumi/tls": "^3.0.0",
b

billowy-army-68599

02/05/2021, 2:40 AM
thank you!
b

bland-byte-34481

02/05/2021, 10:01 PM
@billowy-army-68599 I just wanted to check back in quickly and report that running the command
pulumi plugin install resource aws v3.26.1
in the pipeline actually does NOT work
we still get the same error
b

billowy-army-68599

02/05/2021, 11:04 PM
is
$HOME/.pulumi/bin
in your path inside the runner?
b

bland-byte-34481

02/05/2021, 11:59 PM
not sure, we're using github actions - will check now